Subject: bug#8395: ASLR Issue?

From: YAMAMOTO Mitsuharu <[email-masked]>
Date: Mon, 11 Jul 2011 09:13:37 +0900

>>>>> On Sun, 10 Jul 2011 08:19:47 -0700, Bob Halley <[email-masked]> said:

> On 7 Jul 2011, at 15:57, YAMAMOTO Mitsuharu wrote:

>> This may or may not be a separate issue.  Could you show the result of
>> `$ otool -h src/temacs src/emacs' at the build tree?

> src/temacs:
> Mach header
>       magic cputype cpusubtype  caps    filetype ncmds sizeofcmds      flags
>  0xfeedfacf 16777223          3  0x80          2    23       3696 0x00000085
> src/emacs:
> Mach header
>       magic cputype cpusubtype  caps    filetype ncmds sizeofcmds      flags
>  0xfeedfacf 16777223          3  0x80          2    31       4272 0x00000085

Thanks.  As MH_PIE (0x200000) is not set in flags, the -fno-pie option
seems to work as intended (i.e., to suppress address randomization).

>> Also, please try X11 or tty-only builds if possible.

> I'll try that later; I'll have to pull plain emacs 24 code as this
> doesn't seem to work with the Aquamacs code base.

Thanks again.  If the change I posted turns out to work with X11 or
tty-only builds, I'll commit it.  Of course, if Lion is released
early, I'll try those builds myself.

				     YAMAMOTO Mitsuharu
				[email-masked]